package cn.gov.customs.wxjy.statReport.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import cn.gov.customs.wxjy.statReport.pojo.CustomMStatF;
import cn.gov.customs.wxjy.statReport.pojo.CustomMStatFQuery;

/**
 * 按业务现场关区分类Mapper接口
 *
 * @author xiong
 * @date 2025-12-12
 */
@Mapper
public interface CustomMStatFMapper {
    /**
     * 查询按业务现场关区分类
     *
     * @param ID 按业务现场关区分类主键
     * @return 按业务现场关区分类
     */
    public CustomMStatF selectByID(String ID);

    /**
     * 查询按业务现场关区分类列表
     *
     * @param customMStatF 按业务现场关区分类
     * @return 按业务现场关区分类集合
     */
    public List<CustomMStatF> selectList(CustomMStatFQuery customMStatF);

    /**
     * 新增按业务现场关区分类
     *
     * @param customMStatF 按业务现场关区分类
     * @return 结果
     */
    public int insert(CustomMStatF customMStatF);

    /**
     * 修改按业务现场关区分类
     *
     * @param customMStatF 按业务现场关区分类
     * @return 结果
     */
    public int update(CustomMStatF customMStatF);

    /**
     * 删除按业务现场关区分类
     *
     * @param ID 按业务现场关区分类主键
     * @return 结果
     */
    public int deleteByID(String ID);

    /**
     * 批量删除按业务现场关区分类
     *
     * @param IDs 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteByIDs(String[] IDs);

    /**
     * 逻辑删除按业务现场关区分类
     *
     * @param ID 按业务现场关区分类主键
     * @return 结果
     */
    public int logicDelete(String ID);
}
